1

I'm operating a Mac Air running Parallels so I can use some Window based products. I have QGIS 2.18 installed as this has the ECW viewer as part of the system, allowing me to view aerials - this does not come as part of the Mac version of QGIS. Each time I open QGIS I get the following message, which means I have no access to the Python plugins which are essential for some work

Couldn't load SIP module. Python support will be disabled.

Traceback (most recent call last): File "", line 1, in ImportError: No module named sip Python version: 2.7.4 (default, Apr 6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version: 2.18.20 'Las Palmas', e8e15d5b1e

Python path: ['C:/OSGeo4W/apps/qgis-ltr/./python', u'C:/Users/Eric/.qgis2/python', u'C:/Users/Eric/.qgis2/python/plugins', 'C:/OSGeo4W/apps/qgis-ltr/./python/plugins', 'C:\OSGeo4W\apps\Python27\lib\site-packages\setuptools-0.9.8-py2.7.egg', 'C:\OSGeo4W\bin\python27.zip', 'C:\OSGeo4W\apps\Python27\DLLs', 'C:\OSGeo4W\apps\Python27\lib', 'C:\OSGeo4W\apps\Python27\lib\plat-win', 'C:\OSGeo4W\apps\Python27\lib\lib-tk', 'C:\OSGeo4W\bin', 'C:\OSGeo4W\apps\Python27', 'C:\OSGeo4W\apps\Python27\lib\site-packages', 'C:\OSGeo4W\apps\Python27\lib\site-packages\jinja2-2.7.2-py2.7.egg', 'C:\OSGeo4W\apps\Python27\lib\site-packages\markupsafe-0.23-py2.7-win32.egg', 'C:\OSGeo4W\apps\Python27\lib\site-packages\win32', 'C:\OSGeo4W\apps\Python27\lib\site-packages\win32\lib', 'C:\OSGeo4W\apps\Python27\lib\site-packages\Pythonwin', 'C:\OSGeo4W\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win32.egg', 'C:\OSGeo4W\apps\Python27\lib\site-packages\wx-2.8-msw-unicode']

Sorry bit i am a front end user and don't know or fully understand the coding required copy and paste python into the system.

Can anyone provide some advice or point to clear advice on how to resolve this?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.